Loading...
Searching...
No Matches
cost_model_schedule.h File Reference
`#include "Halide.h"`

Go to the source code of this file.

## Functions

void | do_cost_model_schedule (Halide::Pipeline pipeline)

## Function Documentation

## do_cost_model_schedule()

void do_cost_model_schedule | ( | Halide::Pipeline | pipeline | ) |

inline

Definition at line 5 of file cost_model_schedule.h.

References Halide::Func::compute_at(), Halide::Func::compute_root(), Halide::Internal::StageSchedule::dims(), Halide::Func::fuse(), Halide::Pipeline::get_func(), Halide::Func::get_schedule(), Halide::Stage::get_schedule(), Halide::GuardWithIf, Halide::Func::parallel(), Halide::Stage::parallel(), Halide::Func::reorder(), Halide::Stage::reorder(), Halide::Func::split(), Halide::Stack, Halide::Func::store_at(), Halide::Func::store_in(), Halide::sum(), Halide::Func::update(), and Halide::Func::vectorize().